Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class ExtractParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.ExtractParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class ExtractParameters
extends Object
implements Parameters

This class encapsulates parameters for Mechanisms.EXTRACT_KEY_FROM_KEY.

Invariants

Field Summary
`protected long` | `bitIndex_` The bit of the base key that should be used as the first bit of the derived key.

Constructor Summary
`ExtractParameters(long bitIndex)` Create a new ExtractParameters object with the given bit index.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`long` | `getBitIndex()` Get the bit of the base key that should be used as the first bit of the derived key.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as an Long object.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setBitIndex(long bitIndex)` Set the bit of the base key that should be used as the first bit of the derived key.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### bitIndex_

    protected long bitIndex_

  The bit of the base key that should be used as the first bit of the derived key.

Constructor Detail

### ExtractParameters

    public ExtractParameters(long bitIndex)

  Create a new ExtractParameters object with the given bit index.

Parameters:
  `bitIndex` - The bit of the base key that should be used as the first bit of the derived key.
Preconditions
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof ExtractParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as an Long object.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a Long object.
  Preconditions
  Postconditions
    (result <> null)

### getBitIndex

    public long getBitIndex()

  Get the bit of the base key that should be used as the first bit of the derived key.

  Returns:
    The bit of the base key that should be used as the first bit of the derived key.
  Preconditions
  Postconditions

### setBitIndex

    public void setBitIndex(long bitIndex)

  Set the bit of the base key that should be used as the first bit of the derived key.

  Parameters:
    `bitIndex` - The bit of the base key that should be used as the first bit of the derived key.
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.